$(document).ready(function(){

    $.datepicker.setDefaults({
        showOn: 'focus',
        dateFormat: 'yy-mm-dd',
    });

    $("#id_date_begin_0").datepicker({altField: "#id_date_end_0", altFormat: "yy-mm-dd"});
    $('#id_date_begin_1').timepickr({ trigger: 'focus', convention: 24 });

    $("#id_date_end_0").datepicker();
    $('#id_date_end_1').timepickr({ trigger: 'focus', convention: 24 });

    $('span[rel*=help]').colorTip({color:'orange'});

    $('#id_filtering').datepicker( {
      changeYear: true,
      changeMonth: true,
      showButtonPanel: true,
      dateFormat: 'yy-m',
      onClose: function(dateText, inst) {
        
        var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
        var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
        $(this).datepicker('setDate', new Date(year, month, 1));
      }
    });

});
